Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.groupedgrid.model
Interface VGroupedGridPackage.Literals

Enclosing interface:
  VGroupedGridPackage

    public static interface VGroupedGridPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `GROUP` The meta object literal for the '`Group`' class.
`static org.eclipse.emf.ecore.EAttribute` | `GROUP__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `GROUP__ROWS` The meta object literal for the 'Rows' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `GROUPED_GRID` The meta object literal for the '`Grouped Grid`' class.
`static org.eclipse.emf.ecore.EReference` | `GROUPED_GRID__GROUPS` The meta object literal for the 'Groups' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `ROW` The meta object literal for the '`Row`' class.
`static org.eclipse.emf.ecore.EReference` | `ROW__CHILDREN` The meta object literal for the 'Children' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `SPAN` The meta object literal for the '`Span`' class.
`static org.eclipse.emf.ecore.EAttribute` | `SPAN__HORIZONTAL_SPAN` The meta object literal for the 'Horizontal Span' attribute feature.

Field Detail

### GROUPED_GRID

    static final org.eclipse.emf.ecore.EClass GROUPED_GRID

  The meta object literal for the '`Grouped Grid`' class.

  See Also:
    `VGroupedGridImpl`, `VGroupedGridPackageImpl.getGroupedGrid()`

### GROUPED_GRID__GROUPS

    static final org.eclipse.emf.ecore.EReference GROUPED_GRID__GROUPS

  The meta object literal for the 'Groups' containment reference list feature.

### GROUP

    static final org.eclipse.emf.ecore.EClass GROUP

  The meta object literal for the '`Group`' class.

  See Also:
    `VGroupImpl`, `VGroupedGridPackageImpl.getGroup()`

### GROUP__ROWS

    static final org.eclipse.emf.ecore.EReference GROUP__ROWS

  The meta object literal for the 'Rows' containment reference list feature.

### GROUP__NAME

    static final org.eclipse.emf.ecore.EAttribute GROUP__NAME

  The meta object literal for the 'Name' attribute feature.

### ROW

    static final org.eclipse.emf.ecore.EClass ROW

  The meta object literal for the '`Row`' class.

  See Also:
    `VRowImpl`, `VGroupedGridPackageImpl.getRow()`

### ROW__CHILDREN

    static final org.eclipse.emf.ecore.EReference ROW__CHILDREN

  The meta object literal for the 'Children' containment reference list feature.

### SPAN

    static final org.eclipse.emf.ecore.EClass SPAN

  The meta object literal for the '`Span`' class.

  See Also:
    `VSpanImpl`, `VGroupedGridPackageImpl.getSpan()`

### SPAN__HORIZONTAL_SPAN

    static final org.eclipse.emf.ecore.EAttribute SPAN__HORIZONTAL_SPAN

  The meta object literal for the 'Horizontal Span' attribute feature.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.